## ros-kinetic-roscpp 1.12.17

=== debian/changelog ===
ros-kinetic-roscpp (1.12.17-1xenial) xenial; urgency=high

  * Set call_finished_ with true for each call inside callFinished (#2074 <https://github.com/ros/ros_comm/issues/2074>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Cached parameter should be unsubscribed (#2068 <https://github.com/ros/ros_comm/issues/2068>)
  * Fix Lost Wake Bug in ROSOutAppender (#2033 <https://github.com/ros/ros_comm/issues/2033>)
  * Contributors: Adel Fakih, Chen Lihui, Jacob Perron, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-roscpp (1.12.16-1xenial) xenial; urgency=high

  * use fully qualified ceil() in condition_variable.h (#2025 <https://github.com/ros/ros_comm/issues/2025>)
  * remove 'using namespace' from condition_variable.h (#2020 <https://github.com/ros/ros_comm/issues/2020>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-roscpp (1.12.15-1xenial) xenial; urgency=high

  * close sockets when server responds with HTTP/1.0 (#1284 <https://github.com/ros/ros_comm/issues/1284>)
  * fix a bug that using a destroyed connection object (#1950 <https://github.com/ros/ros_comm/issues/1950>)
  * remove extra n in ROS_DEBUG (#1925 <https://github.com/ros/ros_comm/issues/1925>)
  * do not display error message if poll yields EINTR (#1868 <https://github.com/ros/ros_comm/issues/1868>)
  * TransportTCP: Allow socket() to return 0 (#1707 <https://github.com/ros/ros_comm/issues/1707>)
  * add Timer::isValid() const (#1779 <https://github.com/ros/ros_comm/issues/1779>)
  * transport_tcp: enable poll event POLLRDHUP to detect dead (#1704 <https://github.com/ros/ros_comm/issues/1704>)
  * unregisterService returns result of execute("unregisterService") (#1751 <https://github.com/ros/ros_comm/issues/1751>)
  * fix string check (#1771 <https://github.com/ros/ros_comm/issues/1771>)
  * resolve memory leak (#1503 <https://github.com/ros/ros_comm/issues/1503>)
  * fix Exception boost::lock_error thrown from shutdown method (#1656 <https://github.com/ros/ros_comm/issues/1656>)
  * TopicManager: avoid deadlock (#1645 <https://github.com/ros/ros_comm/issues/1645>)
  * service: use WallTime/WallDuration for waiting (#1638 <https://github.com/ros/ros_comm/issues/1638>)
  * fix bug in statistics decision making if one should publish (#1625 <https://github.com/ros/ros_comm/issues/1625>)
  * fix race due unprotected access to callbacks_ in roscpp client (#1595 <https://github.com/ros/ros_comm/issues/1595>)
  * remove nullptr access from Timer().hasStarted() (#1541 <https://github.com/ros/ros_comm/issues/1541>)
  * add const specifier to NodeHandle::param(param_name, default_val). (#1539 <https://github.com/ros/ros_comm/issues/1539>)
  * fix stamp_age_mean overflow when stamp age very big (#1526 <https://github.com/ros/ros_comm/issues/1526>)
  * use an internal implementation of boost::condition_variable with monotonic clock [kinetic-devel] (#2011 <https://github.com/ros/ros_comm/issues/2011>)
  * fix compiler warnings about unused variables (#1428 <https://github.com/ros/ros_comm/issues/1428>) (#1576 <https://github.com/ros/ros_comm/issues/1576>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-roscpp (1.12.14-1xenial) xenial; urgency=high

  * add hasStarted() to Timer API (#1464 <https://github.com/ros/ros_comm/issues/1464>)
  * force a rebuild of the pollset on flag changes (#1393 <https://github.com/ros/ros_comm/issues/1393>)
  * fix integer overflow for oneshot timers (#1382 <https://github.com/ros/ros_comm/issues/1382>)
  * convert the period standard deviation in StatisticsLogger to Duration at the end (#1361 <https://github.com/ros/ros_comm/issues/1361>)
  * replace DCL pattern with static variable (#1365 <https://github.com/ros/ros_comm/issues/1365>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-roscpp (1.12.13-1xenial) xenial; urgency=high

  * avoid recreating poll set (#1281 <https://github.com/ros/ros_comm/pull/1281>)
  * switch to using epoll (#1217 <https://github.com/ros/ros_comm/pull/1217>)
  * monotonic clock for callback queue timeouts (#1250 <https://github.com/ros/ros_comm/pull/1250>)
  * fix IPv6 initialization order (#1262 <https://github.com/ros/ros_comm/issues/1262>)
  * changed error message for single threaded spinner  (#1164 <https://github.com/ros/ros_comm/pull/1164>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-roscpp (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-roscpp (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-roscpp (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roscpp (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roscpp (1.12.8-1xenial) xenial; urgency=high

  * check if socket options are available before using them (#1172 <https://github.com/ros/ros_comm/issues/1172>)
  * only use CLOCK_MONOTONIC if not on OS X (#1142 <https://github.com/ros/ros_comm/issues/1142>)
  * xmlrpc_manager: use SteadyTime for timeout (#1134 <https://github.com/ros/ros_comm/issues/1134>)
  * ignore headers with zero stamp in statistics (#1127 <https://github.com/ros/ros_comm/issues/1127>)
  * add SteadyTimer, used in TimerManager (#1014 <https://github.com/ros/ros_comm/issues/1014>)
  * include missing header for writev() (#1105 <https://github.com/ros/ros_comm/pull/1105>)
  * add missing mutex lock for publisher links (#1090 <https://github.com/ros/ros_comm/pull/1090>)
  * fix race condition that lead to miss first message (#1058 <https://github.com/ros/ros_comm/issues/1058>)

